curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"client": {
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION",
"users": [{
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
}]
}
}
}'
{
"client": {
"createTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
"users": [{
"createTime": "2023-12-01 12:18:55",
"default": true,
"userKey": "USER_KEY"
}]
},
"code": "201",
"message": "Client created"
}
Client
Create client
Create a new client.
POST
/
api
/
client
curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"client": {
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION",
"users": [{
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
}]
}
}
}'
{
"client": {
"createTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
"users": [{
"createTime": "2023-12-01 12:18:55",
"default": true,
"userKey": "USER_KEY"
}]
},
"code": "201",
"message": "Client created"
}
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
object
required
Structure, at least one of the fields must be filled.
Show child attribute
Show child attribute
string
First and second names of the client.
string
Email of the client.
string
Organization name.
string
Your custom key, if you don’t need to use any of the above fields.
Response
string
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"client": {
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION",
"users": [{
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
}]
}
}
}'
{
"client": {
"createTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
"users": [{
"createTime": "2023-12-01 12:18:55",
"default": true,
"userKey": "USER_KEY"
}]
},
"code": "201",
"message": "Client created"
}
⌘I